angular.module('app')
  .controller('ProjectListController', ['$scope', 'ProjectService', '$location', function ($scope, ProjectService, $location) {
      $scope.goto = function (project) {
          $location.path('/project/' + project.projectId);
      }
      var init = function () {
          $scope.projects = ProjectService.getProjects();
      };
      init();
  }]);

  angular.module('app')
  .controller('ProjectDetailController', ['$scope', 'ProjectService', '$routeParams', 'ProjectBuilderService', '$location', function ($scope, ProjectService, $routeParams, ProjectBuilderService, $location) {

      $scope.save = function () {
          $scope.submitted = true;      // Will force validations
          if ($scope.formProject.$invalid) return;
          $scope.project = ProjectBuilderService.save();
          $scope.formProject.$setPristine();
          $scope.submitted = false;
      };

      $scope.hasError = function (modelController, error) {
          return (modelController.$dirty || $scope.submitted) && error;
      };

      $scope.reset = function () {
          $scope.project = ProjectBuilderService.startBuilding($routeParams.id);
          $scope.formProject.$setPristine();
          $scope.submitted = false;      // Will force validations
      };

      $scope.canDeleteProject = function () {
          return ProjectBuilderService.canDeleteProject();
      }

      $scope.deleteProject = function () {
          ProjectBuilderService.delete();
          $location.path('/projects/');
      };

      
      var init = function () {
          $scope.project = ProjectBuilderService.startBuilding($routeParams.id);
      };

      init();
  }]);